---
comments: true
pdf: false
date: 2025-02-11
authors:
  - stephan
categories:
  - KI
  - FOSS
  - Serie
links:
  - n8n: https://n8n.io/
  - Ollama: https://ollama.com/
---

# Artikelserie: Mein Weg zu eigenen KI-Agenten - so hab ich's gemacht!

Hey! Ich möchte euch heute von meiner Reise in die Welt der KI-Agenten erzählen und wie ich mit Open-Source-Tools meine eigenen digitalen Helfer gebaut habe. Das hier ist der Start einer Serie, in der ich euch Schritt für Schritt zeige, wie ihr das auch hinkriegt.

Da die meisten Artikel und Videos in Englisch sind, nun mal eine Serie in deutscher Sprache. Da ich KI immer mit einem kritischen Auge betrachte, gibt es auch hin und wieder einen Seitenhieb auf die künstlichen Agenten. So, nun legen wir aber los mit dem ersten Teil der Artikelserie.

<!-- more -->

## Was sind eigentlich diese KI-Agenten?

Stellt euch KI-Agenten wie super-smarte digitale Assistenten vor. Anders als normale Chatbots können sie richtig was auf dem Kasten haben - sie verarbeiten Sprache, suchen im Web, automatisieren Aufgaben und verbinden verschiedene Dienste miteinander. Quasi wie ein persönlicher digitaler Butler!

Bei mir übernehmen sie mittlerweile einen ordentlichen Teil der lästigen Routineaufgaben. E-Mails checken und beantworten? Klar! Sprachnachrichten verarbeiten und passende Antworten generieren? Läuft! Das Beste daran: Ich hab wieder mehr Zeit für die wichtigen Dinge. Aber keine Sorge - ich behalte dabei immer ein kritisches Auge auf die KI und ihre Grenzen. In der Serie werd ich auch ganz offen darüber sprechen, wo's noch hakt und worauf man achten muss.

Seit Jahren habe ich immer wieder n8n für Automation im Einsatz und die Menschen, welche n8n entwickeln haben nun KI-Funktionalitäten eingebaut. Und das, was man nun damit machen kann, stellt vieles in den Schatten. Nun können auch Techniklaien mit wenig Aufwand No-Code-Workflows erstellen und in die Welt der KI-Agenten eintauchen.

## Meine Technik-Spielwiese

### n8n - der Workflow-Maestro

n8n ist sowas wie das Gehirn der Operation. Stellt euch das wie digitales Lego vor - ihr verbindet verschiedene Bausteine (APIs, Dienste, etc.) mit einer coolen visuellen Oberfläche. Klingt kompliziert? Ist es gar nicht! In den nächsten Artikeln zeig ich euch, wie easy das geht.

### Docker/Podman - die Container-Crew

Mit Docker oder Podman packe ich alle Programme in handliche Container. Das ist, als würdet ihr jedes Programm in seine eigene Box packen - sauber getrennt und super transportabel. Keine "Bei mir läuft's aber"-Probleme mehr!

### Ollama - Lokale KI-Power

Das ist mein absoluter Favorit! Mit Ollama laufen die KI-Modelle direkt auf eurem Rechner. Keine Cloud nötig, keine Datenschutzsorgen, einfach lokal und schnell.

### Die restliche Crew

- **Searxng**: Eure private Suchmaschine - kein Google-Tracking mehr! Wir verwenden hier entsprechend die API, um Suchanfragen an verschiedene Suchmaschinen zu stellen und gut verarbeitbares JSON zurückzubekommen.
- **openai-edge-tts**: Damit quatschen eure Bots in erstaunlich natürlichem Deutsch, Englisch, Französisch, ... und das ohne teure Text-zu-Sprachesystemen.
- **LocalAI**: LocalAI ist die kostenlose, quelloffene OpenAI-Alternative. LocalAI fungiert als Drop-in-Ersatz-REST-API, die mit den OpenAI-API-Spezifikationen für lokales Inferencing kompatibel ist. Sie ermöglicht die Ausführung von LLMs, die Erzeugung von Bildern und Audio (und nicht nur) lokal oder vor Ort mit Consumer-Hardware und unterstützt mehrere Modellfamilien und Architekturen. Erfordert keine GPU. Derzeit bei mir hauptsächlich im Einsatz Sprache in Text zu verwandeln und Dokumente zu "vektorisieren" (das erkläre ich dann, wenn es soweit ist).
- **Open-WebUI**: Open WebUI ist eine erweiterbare, funktionsreiche und benutzerfreundliche selbst-gehostete KI-Plattform, die vollständig offline betrieben werden kann. Sie unterstützt verschiedene LLM-Runner wie Ollama und OpenAI-kompatible APIs und verfügt über eine integrierte Inferenz-Engine für RAG, was sie zu einer leistungsstarken KI-Deployment-Lösung macht. Wir werden sie als Alternative zu Telegram einsetzen, um mit unseren Agenten zu kommunizieren.

## Was werdet ihr damit machen können?

- E-Mails automatisch verarbeiten und clever beantworten
- Sprachnachrichten in Text umwandeln und analysieren
- KI-gestützte Antworten als natürliche Sprache ausgeben
- Recherchen automatisieren
- Dokumente zusammenfassen lassen
  
... und vieles mehr, was euch Zeit und Nerven spart!

## Was kommt in der Serie?

In den nächsten Artikeln nehme ich euch mit durch den ganzen Prozess:

1. Grundaufbau und Voraussetzungen:
   - Welche Hardware ihr mindestens braucht
   - welches Betriebssystem sich am besten eignet
   - wie ihr die Basis-Software installiert
   - wie ihr alles zum Laufen bringt
2. KI-Modelle: Welche es gibt und wie ihr sie einbindet
3. Agenten bauen: praktische Beispiele für coole Anwendungen
4. das große Ganze: wie alles zusammenspielt

## Was ihr erwarten könnt

- Keine komplizierten Anleitungen, sondern praktische Tipps
- echte Beispiele aus meinen Projekten
- Troubleshooting für typische Stolperfallen
- die wichtigsten Tricks, die ich gelernt habe
- ehrliche Einschätzungen, wo KI wirklich hilft und wo nicht

Meinen AI-Stack und meine n8n-Agenten, welche ich während der Serie aufbaue, stelle ich selbstverständlich auf GitHub zur Verfügung.

## Let's do this!

Klingt das nach was für euch? Dann bleibt dran! Im nächsten Artikel geht's direkt ans Eingemachte mit der Installation der ersten Komponenten. Versprochen: Wir fangen ganz entspannt an und arbeiten uns Schritt für Schritt vor.
